---
variables:
  SEMANTIC_RELEASE_IMAGE: hoppr/semantic-release
  SEMANTIC_RELEASE_TAG: "0.0.19"
  GIT_AUTHOR_NAME: $GITLAB_USER_LOGIN
  GIT_AUTHOR_EMAIL: $GITLAB_USER_EMAIL
  GIT_COMMITTER_NAME: $GITLAB_USER_LOGIN
  GIT_COMMITTER_EMAIL: $GITLAB_USER_EMAIL
  GITLAB_TOKEN: $GITLAB_CI_TOKEN
  ENABLE_SEMANTIC_V_SYNTAX: "true"

semantic-release:dry-run:
  variables:
    RUNNER_GENERATE_ARTIFACTS_METADATA: "true"
  needs: []
  image: $SEMANTIC_RELEASE_IMAGE:$SEMANTIC_RELEASE_TAG
  script:
    - apk add git-lfs
    - semantic-release --dry-run
  artifacts:
    paths:
      - release.env
    reports:
      dotenv: release.env

semantic-release:
  variables:
    RUNNER_GENERATE_ARTIFACTS_METADATA: "true"
  needs: 
    - job: pages
  image: $SEMANTIC_RELEASE_IMAGE:$SEMANTIC_RELEASE_TAG
  script:
    - apk add git-lfs
    - semantic-release
  artifacts:
    paths:
      - release.env
    reports:
      dotenv: release.env
  rules:
    - if: $CI_DEFAULT_BRANCH == $CI_COMMIT_REF_NAME